org.eclipse.jetty.websocket

## Class RandomMaskGen

- java.lang.Object
- - org.eclipse.jetty.websocket.RandomMaskGen

All Implemented Interfaces:
  MaskGen

    public class RandomMaskGen
    extends Object
    implements MaskGen

### Constructor Summary

Constructors
Constructor and Description
`RandomMaskGen()`
`RandomMaskGen(Random random)`

### Method Summary

Methods
`void` `genMask(byte[] mask)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RandomMaskGen

    public RandomMaskGen()

#### RandomMaskGen

    public RandomMaskGen(Random random)

### Method Detail

#### genMask

    public void genMask(byte[] mask)

Specified by:
  `genMask` in interface `MaskGen`